<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionWhiteStripBatchMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionWhiteStripBatch">
        <id column="id" property="id" />
        <result column="production_date" property="productionDate" />
        <result column="delivery_date" property="deliveryDate" />
        <result column="variety" property="variety" />
        <result column="grade" property="grade" />
        <result column="animal_identification" property="animalIdentification" />
        <result column="batch_number" property="batchNumber" />
        <result column="white_strip_number" property="whiteStripNumber" />
        <result column="sort_enabled" property="sortEnabled" />
        <result column="sales_deduction_percentage" property="salesDeductionPercentage" />
        <result column="weight" property="weight" />
        <result column="locked_logistics_line" property="lockedLogisticsLine" />
        <result column="deduction_score" property="deductionScore" />
        <result column="material_name" property="materialName" />
        <result column="delivery_customer" property="deliveryCustomer" />
        <result column="white_strip_count" property="whiteStripCount" />
        <result column="order_unallocated_quantity" property="orderUnallocatedQuantity" />
        <result column="market" property="market" />
        <result column="customer" property="customer" />
        <result column="coat_color" property="coatColor" />
        <result column="completion_status" property="completionStatus" />
        <result column="pig_batch" property="pigBatch" />
        <result column="material_code" property="materialCode" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
